SystemOrganization addCategory: #'MC2-Tests-Meta-Core'!

MDAdaptorTest subclass: #MDMonticelloAdaptorTest
	instanceVariableNames: 'registry environment'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Meta-Core'!

!MDMonticelloAdaptorTest class methodsFor: 'testing' stamp: 'cwp 5/29/2008 07:38'!
isAbstract
	^ self name = #MDMonticelloAdaptorTest! !

!MDMonticelloAdaptorTest methodsFor: 'constructing' stamp: 'jf 1/31/2010 15:57'!
adaptorForElement: anElement
	^ self adaptorClass forElement: anElement inEnvironment: environment! !

!MDMonticelloAdaptorTest methodsFor: 'accessing' stamp: 'cwp 8/18/2009 21:28'!
environment
	^ environment! !

!MDMonticelloAdaptorTest methodsFor: 'running' stamp: 'cwp 7/19/2010 16:47'!
setUp
	| |
	super setUp.
	environment := MDEnvironment new.
! !

MDMonticelloAdaptorTest subclass: #MDSliceAdaptorTest
	instanceVariableNames: 'sliceId'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Meta-Core'!

MDSliceAdaptorTest subclass: #MDExplicitSliceAdaptorTest
	instanceVariableNames: 'element'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Meta-Core'!

!MDExplicitSliceAdaptorTest methodsFor: 'constructing' stamp: 'jf 10/16/2009 15:33'!
adaptorClass
	^ MDExplicitSliceAdaptor! !

!MDExplicitSliceAdaptorTest methodsFor: 'asserting' stamp: 'jf 10/16/2009 22:29'!
assertObjectHasDefaultProperties
	| slice |
	super assertObjectHasDefaultProperties.
	slice := self slice.
	self assert: slice name = self sliceName.
	self assert: slice elements size = 1.
	self assert: (slice elements includes: element)
	! !

!MDExplicitSliceAdaptorTest methodsFor: 'configuration' stamp: 'cwp 1/18/2010 22:09'!
createSlice
	^ MDExplicitSlice 
		id: self sliceId 
		name: self sliceName 
		elements: (Array with: element)! !

!MDExplicitSliceAdaptorTest methodsFor: 'constructing' stamp: 'jf 10/16/2009 15:34'!
elementClass
	^ MDExplicitSliceElement! !

!MDExplicitSliceAdaptorTest methodsFor: 'accessing' stamp: 'jf 10/16/2009 22:12'!
properties
	^ super properties
		name: self sliceName;
		elements: (Set with: element);
		yourself! !

!MDExplicitSliceAdaptorTest methodsFor: 'running' stamp: 'jf 10/16/2009 22:09'!
setUp
	super setUp.
	element := MDFakeElement named: #Fake! !

!MDSliceAdaptorTest class methodsFor: 'testing' stamp: 'jf 10/16/2009 15:42'!
isAbstract
	^ self name = #MDSliceAdaptorTest! !

!MDSliceAdaptorTest methodsFor: 'constructing' stamp: 'cwp 5/27/2008 22:22'!
adaptorClass
	^ MDSliceAdaptor! !

!MDSliceAdaptorTest methodsFor: 'configuration' stamp: 'jf 9/6/2009 13:30'!
canBeUnloadable 
	^ false! !

!MDSliceAdaptorTest methodsFor: 'accessing' stamp: 'cwp 5/28/2008 00:06'!
changedValue
	^ 'SliceForTesting'! !

!MDSliceAdaptorTest methodsFor: 'configuration' stamp: 'cwp 7/19/2010 16:44'!
createObject
	self environment addSlice: self createSlice.
	! !

!MDSliceAdaptorTest methodsFor: 'constructing' stamp: 'jf 9/8/2009 18:35'!
destroyObject
	self slice ifNotNilDo: [:slice | self environment removeSliceId: slice id]! !

!MDSliceAdaptorTest methodsFor: 'accessing' stamp: 'jf 10/16/2009 15:31'!
element
	^ self elementClass id: self sliceId! !

!MDSliceAdaptorTest methodsFor: 'constructing' stamp: 'jf 10/16/2009 21:40'!
elementClass
	^ self subclassresponsibility! !

!MDSliceAdaptorTest methodsFor: 'asserting' stamp: 'jf 9/6/2009 13:29'!
objectIsPresent
	| id |
	id := self sliceId.
	^ self environment slices anySatisfy: [:ea | ea id = id].! !

!MDSliceAdaptorTest methodsFor: 'accessing' stamp: 'jf 10/16/2009 21:32'!
properties
	^ MDPropertyDictionary new! !

!MDSliceAdaptorTest methodsFor: 'accessing' stamp: 'cwp 5/28/2008 00:06'!
propertyToChange
	^ #name! !

!MDSliceAdaptorTest methodsFor: 'running' stamp: 'jf 10/16/2009 16:22'!
setUp
	super setUp.
	sliceId := MDHashstamp new! !

!MDSliceAdaptorTest methodsFor: 'accessing' stamp: 'jf 9/6/2009 13:32'!
slice
	^ self environment sliceWithId: self sliceId! !

!MDSliceAdaptorTest methodsFor: 'accessing' stamp: 'cwp 8/8/2009 19:40'!
sliceId
	^ sliceId! !

!MDSliceAdaptorTest methodsFor: 'accessing' stamp: 'cwp 5/27/2008 23:45'!
sliceName
	^ 'TestSlice'! !

MDSliceAdaptorTest subclass: #MDUnionSliceAdaptorTest
	instanceVariableNames: 'subslice'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Meta-Core'!

!MDUnionSliceAdaptorTest methodsFor: 'constructing' stamp: 'jf 10/16/2009 21:36'!
adaptorClass
	^ MDUnionSliceAdaptor! !

!MDUnionSliceAdaptorTest methodsFor: 'asserting' stamp: 'jf 10/16/2009 22:46'!
assertObjectHasDefaultProperties
	| slice |
	super assertObjectHasDefaultProperties.
	slice := self slice.
	self assert: slice name = self sliceName.
	self assert: (slice includesSlice: subslice)! !

!MDUnionSliceAdaptorTest methodsFor: 'configuration' stamp: 'jf 10/17/2009 00:41'!
canBeUnloadable
	^ true! !

!MDUnionSliceAdaptorTest methodsFor: 'running' stamp: 'cwp 1/18/2010 22:21'!
createSlice
	^ MDUnionSlice id: self sliceId name: self sliceName slices: (Array with: subslice)! !

!MDUnionSliceAdaptorTest methodsFor: 'constructing' stamp: 'jf 10/16/2009 21:41'!
elementClass
	^ MDUnionSliceElement! !

!MDUnionSliceAdaptorTest methodsFor: 'accessing' stamp: 'jf 10/16/2009 22:46'!
properties
	^ super properties
		name: self sliceName;
		sliceIds: (Set with: subslice id);
		yourself! !

!MDUnionSliceAdaptorTest methodsFor: 'running' stamp: 'cwp 7/19/2010 16:46'!
setUp
	super setUp.
	subslice := self environment addSlice: MDExplicitSlice forTesting.
	! !

!MDUnionSliceAdaptorTest methodsFor: 'configuration' stamp: 'jf 10/17/2009 00:43'!
unloadableProperties
	| properties |
	properties := self properties.
	properties sliceIds add: MDHashstamp new.
	^ properties! !

MDAdaptionTest subclass: #MDMonticelloAdaptionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Meta-Core'!

!MDMonticelloAdaptionTest class methodsFor: 'as yet unclassified' stamp: 'cwp 3/4/2008 00:00'!
shouldInheritSelectors 
	^ false! !

!MDMonticelloAdaptionTest methodsFor: 'running' stamp: 'cwp 2/3/2010 23:18'!
setUp
	| environment |
	environment := MDEnvironment new.
	domain := MDMonticelloDomain environment: environment! !

!MDMonticelloAdaptionTest methodsFor: 'tests' stamp: 'cwp 1/18/2010 22:10'!
testExplicitSlice
	self tryAdapting: (MDExplicitSliceElement for: MDExplicitSlice forTesting)! !

!MDMonticelloAdaptionTest methodsFor: 'tests' stamp: 'cwp 1/18/2010 22:10'!
testParent
	self tryAdapting: (MDParentElement for: MDExplicitSlice forTesting)! !

!MDMonticelloAdaptionTest methodsFor: 'tests' stamp: 'cwp 1/18/2010 22:22'!
testUnionSlice
	self tryAdapting: (MDUnionSliceElement for: MDUnionSlice forTesting)! !
